Package org.eclipse.emf.cdo.common.branch

# Interface CDOBranchCreatedEvent

All Superinterfaces:
  `CDOBranchChangedEvent`, `CDOBranchProvider`, `org.eclipse.net4j.util.event.IEvent`

@Deprecated public interface CDOBranchCreatedEvent extends CDOBranchChangedEvent
Deprecated.
As of 4.3 use `CDOBranchChangedEvent`.
An `event` fired from a `branch manager` when a new `branch` has been created.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchChangedEvent

`CDOBranchChangedEvent.ChangeKind`

## Method Summary

Modifier and Type
Method
Description
`CDOBranch`
`getBranch()`
Deprecated.
`CDOBranchManager`
`getSource()`
Deprecated.

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchChangedEvent

`getBranchIDs, getChangeKind`

## Method Details

### getSource

@Deprecated CDOBranchManager getSource()
Deprecated.

Specified by:
  `getSource` in interface `CDOBranchChangedEvent`
Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getBranch

@Deprecated CDOBranch getBranch()
Deprecated.

Specified by:
  `getBranch` in interface `CDOBranchChangedEvent`
Specified by:
  `getBranch` in interface `CDOBranchProvider`